=== debian/changelog ===
mathgl (2.1.3.1-4ubuntu3) trusty; urgency=medium

  * No change rebuild against libopenmpi1.6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 22 Dec 2013 02:45:23 +0000

mathgl (2.1.3.1-4ubuntu2) trusty; urgency=low

  * Drop the unused libhdf4-dev build dependency, don't look for libhdf4.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Oct 2013 17:23:16 +0200

mathgl (2.1.3.1-4) unstable; urgency=low

  * More symbols changes for build on ia64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 18 Aug 2013 11:32:38 +0300

mathgl (2.1.3.1-3) unstable; urgency=low

  * Further symbols tweaking for build on ia64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 18 Aug 2013 08:48:20 +0300

mathgl (2.1.3.1-2) unstable; urgency=low

  * Amend symbols files to enable build on ia64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 17 Aug 2013 21:00:08 +0300

mathgl (2.1.3.1-1) unstable; urgency=low

  * Imported Upstream version 2.1.3.1 (Closes: #708969)
  * Add mpi-default-dev to build dependencies.
  * Add patch for lang/setup.py.in to enable python to read directory tree
    written in utf-8 (not ascii) encoding.
  * Add UDAV.desktop and udav.png to the files to be installed within the
    package udav.
  * Add Replaces and Conflicts with mathgl-1* packages in the debian/control
    file.
  * Add udav manpage.
  * Replace octave3.2-headers with liboctave-dev in build deps.
  * Fix library package names to reflect soname.
  * Rename mathgl-doc binary to mathgl-doc-en.  
  * Fix installation directory in doc-base file mathgl-doc-en.
  * Fix installation directory of python module and files.
  * Add udav binary package.
  * Make build dependency on libhdf5-dev only.
  * Add c++ compilation include path for pyconfig.h 
  * Fix typo in libmgl-glut6.0.0 package (by D. Haley) (Closes: #698570)
  * Change soname in libraries from 6 to 7
  * Add libmgl-qt7.0.0 library package creation
  * Add libmgl-fltk7.0.0 and libmgl-wx7.0.0 packages
  * Remove DM-Upload-Allow field from debian/control
  * Remove D. Haley from uploaders after his request
  * Update Standards-Version to 3.9.4
  * Add title for CMakeLists-txt.patch
  * Remove encoding specification line from udav.desktop
  * Shorten debian/rules file by using dh $@ and overrides
  * Remove .pyc file from python-mathgl package
  * Remove old udav manpage file
  * Modify vcs field
  * Associate udav.1 manpage to package udav
  * Built with g++-4.7 on both unstable and experimental
  * Add version on libfltk1.3-dev build dependency
  * Remove (optional) tags from symbols
  * Built with gcc-4.8 on amd64
  * Add Conflicts/Replaces options in debian/control
  * Remove multiarch related commands from debian/rules
  * Add libqtwebkit-dev to build deps in debian/control
  * Amend libmgl7.0.0 related symbols for amd64
  * Install executable mgl.cgi in /usr/bin
  * Amend overlooked debian/copyright
  * Add libmgl-mpi binary package
  * Add header to the CMakeLists-txt.patch
  * Correct short package description lines (Closes: #703834)
  * Minor symbols tuning
  * Remove version from libfltk1.3-dev build dependency
  * Fix most, missing compilation and linker flag, lintian warnings
  * Update header of CMakeLists-txt.patch
  * Add --parallel option to dh $@ in debian/rules
  * Include missing files and licenses in debian/copyright
  * Fix build failure due to gsl 1.15 --> 1.16 upgrade
  * Add full text of BSD license in debian/copyright

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 11 Aug 2013 22:24:05 +0300

mathgl (2~rc1-3) experimental; urgency=low

  * Fix symbols FTBFS, related to libmgl-wnd6, on several arches.
  * Make libmgl-dev dependent on libmgl-wnd6.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 4 Jan 2012 20:16:00 +0200

mathgl (2~rc1-2) experimental; urgency=low

  * Correct typo in mathgl description in debian/control (Closes: #644863).
  * Try to fix symbols FTBFS on several arches.   

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 4 Jan 2012 15:30:00 +0200

mathgl (1.11.2-17) unstable; urgency=low

  * Amend debian/copyright file to reflect the changes done by the upstream
    author to the texinfo/copyright.texi file in the SCM repository of
    mathgl at sourceforge.net (Closes: #693885).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 13 Dec 2012 22:33:56 +0200

mathgl (1.11.2-16) unstable; urgency=low

  * Correct dir in debian/copyright linking to the amended copyright.texi
    file in the upstream SCM repository.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Fri, 30 Nov 2012 12:51:27 +0200

mathgl (1.11.2-15) unstable; urgency=low

  * Change debian/copyright file such that the license of the documentation 
    files included in the upstream source */texinfo directory, becomes free
    (Closes: #693885).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Fri, 23 Nov 2012 21:59:35 +0200

mathgl (1.11.2-14) unstable; urgency=low

  * Make several libmgl-wx5 related symbols optional in order to fix FTBFS on
    several arches.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 10 May 2012 22:19:03 +0300

mathgl (1.11.2-13) unstable; urgency=low

  * Make several libmgl-qt5 related symbols optional in order to fix FTBFS on 
    several arches.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 10 May 2012 19:12:22 +0300

mathgl (1.11.2-12) unstable; urgency=low

  * Make more libmgl5 related symbols optional in order to fix FTBFS on several
    arches.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 10 May 2012 16:09:18 +0300

mathgl (1.11.2-11) unstable; urgency=low

  * Update symbols files in order to fix FTBFS (Closes: #671964) 

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 08 May 2012 20:18:59 +0300

mathgl (1.11.2-10) unstable; urgency=low

  * Replace octave3.2-headers with liboctave-dev in Build-Depends in
    debian/control (Closes: #666753).
  * Add zlib1g (>= 1.2.6) to Depends of libmgl5 to deal with a symbol export 

